#pragma once

#include "CoreMinimal.h"
#include "ComponentProperties.generated.h"

USTRUCT(BlueprintType)
struct FComponentProperties
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FName, int32> IntPropertyNameToValueMap;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FName, float> FloatPropertyNameToValueMap;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FName, bool> BoolPropertyNameToValueMap;

public:
	DEADBYDAYLIGHT_API FComponentProperties();
};

FORCEINLINE uint32 GetTypeHash(const FComponentProperties) { return 0; }
